Redmine - Feature #5732

cannot copy/move subtask from one parent issue to another
2010-06-22 21:18 - Igor Balk

Status: Reopened Start date: 2010-06-22
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Invalid

Description

cannot change (move?) subtask from one parent issue to another. Should also be able to un-subtask an issue (make top level)

http://www.redmine.org/wiki/redmine/UXTeamMeeting1

History

#1 - 2010-06-22 22:18 - Yuki Kita
- File Screenshot.png added

- Status changed from New to Resolved

It is possible to move subtask from one parent to another in trunk.
you have to "Change properties(More)" to do it.

But | think it difficult for users to find this way.

So the Ul should be changed.

Target version:
Description

Subtasks

Add
Related issues Add
History
‘ Updated by Kita Yuki 3 minutes ago #1
* Parent task set to #32
‘ Updated by Kita Yuki 2 minutes ago #2
* Parent task deleted (#32)
‘ Updated by Kita Yuki 1 minute ago #3
+ Parent task set to #32
‘ Updated by Kita Yuki less than a minute ago #4

* Parent task changed from #32 to #52

2+ Update (& Log time Watch [ Duplicate Copy Maove fif Delete

Also available in: E) Atom | PDF

#2 - 2010-06-23 00:29 - Felix Schéfer
- Status changed from Resolved to Closed

- Resolution set to Invalid
#3 - 2010-08-18 12:25 - Ladislav Nesnera

My experience is the same - it's a difficult to find out how to change parent task. | wasn't able to do it until | found this report.. ;?)
What about to allow select existing task not only create new by action "Add" in "Subtasks" section?
http://www.redmine.org/wiki/redmine/UXTeamMeeting1

#4 - 2011-03-30 09:59 - Hans Bangkok

- Status changed from Closed to Reopened

| didn't want to create a new issue for this, since there might be a similar report this could be linked to - it's so difficult to search for the keyword
"Duplicate"!

First of all, a minor issue, but the above comment on improving the Ul is very valid - having to get the parent issue number and manually enter it into
the parent field in order to move an issue to be a sub-task works, but isn't exactly elegant 8-)

More critically, I've found when doing a "Duplicate" of a sub-task, it does not inherit the link to the parent - | would think that would be the intended
behaviour of Duplicate. (PS I couldn't find anything in the docs explaining the distinction between duplicate and copy?)

If this is a new report of the latter issue, please let me know hansbkk@gmail.com and I'll create a new issue (or of course you can file it yourself if you
prefer 8-)

#5 - 2011-08-04 18:09 - Cornell Wright

+1

| just spent a few hours trying to figure out how to change the parent of an issue and preserve all the other links. The current method of having to click
"More" is very non-intuitive.

#6 - 2011-09-09 10:46 - Sven Miiller

It would be greate to change/set parent for a set of issues in one action.

By selection issues in the issue list and changing parent by the right-click-menu.
#7 - 2012-01-09 18:38 - K. Scott Tripp

+1

| think that putting the option in the "move" menu would work well.
